<div class="row animated fadeIn">
  <div class="col-12">
    <div class="card">
      <div class="card-body">

        <input #input (keyup)="buscarUsuario(input.value)" type="text" class="form-control" placeholder="Search...">

      </div>
    </div>
  </div>
</div>

<div class="row animated fadeIn" *ngIf="cargando" >
  <div class="col-sm-12">
    <div class="aler alert-warning text-center">
      <strong> Loading... </strong>
      <br>
      <i class="fa fa-refresh fa-spin fa-x2"></i>
      <br>
      <span> Please wait </span>
    </div>
  </div>
</div>
<br>

<div class="row animated fadeIn" *ngIf="!cargando">
  <div class="col-12">
    <div class="card">
      <div class="card-body">
        <h3 class="car-title"> Registered usuarios (<small>{{ totalRegistros }}</small>)</h3>

        <table class="table table-hover">
          <thead>
            <tr>
              <th>Image</th>
              <th>Email</th>
              <th>Name</th>
              <th>Role</th>
              <th>Auth</th>
              <th></th>
            </tr>
          </thead>

          <tbody *ngFor=" let usuario of usuarios">
            <tr>
              <td class="w70"> 
                <img (click)="mostrarModal( usuario._id )" [src]="usuario.img | imagen" class="img-50 img-circle pointer">
              </td>
              <td> {{ usuario.email }} </td>
              <td> {{ usuario.nombre }} </td>
              <td> 
                <select [(ngModel)]="usuario.role" name="role" class="form-control">
                  <option value="ADMIN_ROLE">ADMIN_ROLE</option>
                  <option value="USER_ROLE">USER_ROLE</option>
                </select>
              </td>
              <td> 
                <label *ngIf="usuario.google" class="label label-danger">Google</label> 
                <label *ngIf="!usuario.google"  class="label label-info">Normal</label> 
              </td>
              <td class="text-right"> 
                <button (click)="guardarUsuario( usuario )" type="button" class="btn btn-secondary">
                  <i class="fa fa-save"></i>
                </button>
                <button (click)="borrarUsuario( usuario )" type="button" class="btn btn-secondary">
                  <i class="fa fa-trash-o"></i>
                </button>
              </td>
            </tr>
          </tbody>
        </table>

        <button (click)="cambiarDesde(-5)" class="btn btn-secondary"> Prev. </button>
        <button (click)="cambiarDesde(5)"  class="btn btn-secondary"> Next </button>

      </div>
    </div>
  </div>
</div>

